curl --request GET \
--url https://api.kycaml.frankiefinancial.io/transaction/v2/entities/{entityId}/risk \
--header 'X-Frankie-CustomerID: <x-frankie-customerid>' \
--header 'apiKey: <api-key>'import requests
url = "https://api.kycaml.frankiefinancial.io/transaction/v2/entities/{entityId}/risk"
headers = {
"X-Frankie-CustomerID": "<x-frankie-customerid>",
"apiKey": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Frankie-CustomerID': '<x-frankie-customerid>', apiKey: '<api-key>'}
};
fetch('https://api.kycaml.frankiefinancial.io/transaction/v2/entities/{entityId}/risk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"overall": {
"aml": {
"rating": 2.3,
"level": "MEDIUM"
},
"fraud": {
"rating": 2.3,
"level": "MEDIUM"
},
"firstCheckDate": "2006-01-02T15:04:05-0700",
"lastUpdated": "2006-01-02T15:04:05-0700"
},
"factors": {
"aml": [
{
"name": "<string>",
"description": "<string>",
"rating": 3.4,
"level": "MEDIUM",
"count": 10
}
],
"fraud": [
{
"name": "<string>",
"description": "<string>",
"rating": 3.4,
"level": "MEDIUM",
"count": 10
}
]
},
"issues": [
{
"activities": [],
"lastUpdated": "2006-01-02T15:04:05-0700",
"dateCreated": "2006-01-02T15:04:05-0700"
}
]
}{
"commit": "<string>",
"requestId": "<string>",
"errorCode": "CORE-5990",
"errorMsg": "Everything went kaflooey. Stay clam.",
"issues": [
{
"issueLocation": "date_of_birth",
"issue": "Invalid format. Must be YYYY-MM-DD"
}
]
}{
"commit": "<string>",
"requestId": "<string>",
"errorCode": "CORE-5990",
"errorMsg": "Everything went kaflooey. Stay clam.",
"issues": [
{
"issueLocation": "date_of_birth",
"issue": "Invalid format. Must be YYYY-MM-DD"
}
]
}{
"commit": "<string>",
"requestId": "<string>",
"errorCode": "CORE-5990",
"errorMsg": "Everything went kaflooey. Stay clam.",
"issues": [
{
"issueLocation": "date_of_birth",
"issue": "Invalid format. Must be YYYY-MM-DD"
}
]
}Get an entity's risk level scorecard
Get current risk level of an entity from fraud or transaction monitoring.
Authorizations
API key issued by FrankieOne. This will rotate regularly.
Headers
Your Customer ID provided by FrankieOne
"12345678-1234-1234-1234-123456789012"
Your Customer Child ID provided by FrankieOne
"87654321-4321-4321-4321-210987654321"
Path Parameters
Unique identifier of a FrankieOne entity The unique identifier for a FrankieOne entity construct
"98ded7ac-2457-4bde-b27c-fcee05301262"
Response
Response from the GET /entity/{entityId}/risk endpoint
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Results that have been evaluated for this entity, the lack of Result object value for a Result Type indicates that a check has been done for a transaction resulting in that result being produced
Show child attributes
Show child attributes
Was this page helpful?